Description

in regards to CommunicationlEC class and the “triple” association of WindPlantControlCommIEC.CommunicationlEC.

The WindPlantControlCommIEC class could be modified to use three separate associations, one for each communication module
type (windPlantReferences, windPlantMeasurements and powerDeviceReferences) instead of the one multi-purpose association
(WindPlantControlCommIEC.CommunicationlEC).

In that case the CommunicationlEC.kind parameter would not even be required because each association would determine the
purpose of the communication object.

For example, use:

* WindPlantControlCommIEC.WindPlantReferences,

*  WindPlantControlCommIEC.WindPlantMeasurements and

*  WindPlantControlCommIEC.PowerDeviceReferences

Instead of the three WindPlantControlCommIEC.CommunicationlEC associations.

The current solution is atypical, because a triple-association is seldom used in CIM, and also clumsy to use, while still requiring a
dedicated parameter to distinguish between communication modules that are basically of the same type.

Proposed Solution

* WindPlantControlCommIEC.WindPlantReference,

* WindPlantControlCommIEC.WindPlantMeasurement and

«  WindPlantControlCommIEC.PowerDeviceReference

Instead of the three WindPlantControlCommIEC.CommunicationlEC associations.

Decision
Apply the changes as proposed in order to optimise the modelling

Release Notes

The following changes are applied to 302 and 457:

- Added the following associations between WindPlantControlCommIEC and CommunicationlEC
*  WindPlantControlCommIEC.WindPlantReference,

* WindPlantControlCommIEC.WindPlantMeasurement and

* WindPlantControlCommIEC.PowerDeviceReference

- delete WindPlantControlCommIEC.CommunicationlEC association

- delete CommunicationModuleKind

- delete CommunicationlEC.kind
History

#1 - 07/01/2023 03:13 PM - Chavdar Ivanov

- Status changed from New to Open

#2 - 07/01/2023 03:13 PM - Chavdar Ilvanov

- Status changed from Open to Review

#3 - 07/01/2023 03:13 PM - Chavdar Ilvanov

- Status changed from Review to Closed

#4 - 07/05/2023 10:01 AM - Chavdar lvanov
- Solution Version changed from 18v05 to CIM18v05
